Subject: Powerex Credit Annex
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 11 Jun 2001 03:31:00 -0700 (PDT)

Just a friendly reminder that if you still want to a credit annex in place 
with Powerex, Powerex's outside counsel needs a "go ahead" from Powerex 
before he is willing to negotiate. (In other words, the Powerex folks 
probably need a push from you to authorize their outside counsel.) 

I realize that with the change in energy prices, this may not be a priority 
any longer.  However,  I wanted to bring it up in case you still wanted an 
annex in place for future reference.  

Please call me at x57400 with any questions.

Janet